#ifndef enable_set_time_h
#define enable_set_time_h

// Copyright (C) Tom Horsley, 1997. All rights reserved.

#include <windows.h>

// Create one of these to enable the "set system time" privilege for
// the lifetime of the object.
//
class EnableSetTime {
public:

      // Enable the privilege.
      //
   EnableSetTime();

      // Disable the privilege.
      //
   ~EnableSetTime();

private:

   HANDLE tok_handle;
   TOKEN_PRIVILEGES tok_priv;
   bool try_privs;
};

#endif // enable_set_time_h
