#include "base-exception.h"

// Throw one of these when the server kisses us off. The driver code can
// catch it and use it to decide if it should remove the server from the
// list or exit the service, etc.
//
class KissODeathException : public BaseException {
public:

   KissODeathException(char * server_name, char * kiss_code) throw();

   KissODeathException(const KissODeathException& rhs) throw();

   KissODeathException&
   operator=(const KissODeathException& rhs) throw();

   virtual 
   ~KissODeathException() throw();
};
