
// Copyright (C) Tom Horsley, 1997. All rights reserved.

#include "simple-exception.h"
#include <stdarg.h>

SimpleException::SimpleException(const char * fmt, ...) throw() {
   va_list vl;
   va_start(vl, fmt);
   VPrintf(fmt, vl);
   va_end(vl);
}

SimpleException::SimpleException(const SimpleException& rhs) throw()
: BaseException(rhs)
{
   return;
}

SimpleException::~SimpleException() throw()
{
   return;
}

SimpleException&
SimpleException::operator=(const SimpleException& rhs) throw()
{
   BaseException::operator=(rhs);
   return *this;
}
